
Katello - Bug #6126

Subscription manager routes should be anchored at their own API.

06/09/2014 06:20 PM - Eric Helms

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Client/Agent   

Target version: Katello 2.0   

Difficulty: easy Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1112802 Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/423
Description

Related issues:

Related to Katello - Bug #6699: url_prefix in config/katello.yml is not set w... Closed 07/21/2014

Associated revisions

Revision 8688cde7 - 06/26/2014 04:53 PM - Eric Helms

Refs #6126: Change RHSM API to /rhsm.

Revision 57a2dce4 - 07/14/2014 12:58 PM - Eric Helms

Fixes #6126: Moves RHSM routes to their own API (/rhsm) and routes file.

Prior, the RHSM routes were anchored at the Katello API and thus

subject to versioning and changes made to the Katello API. However,

the RHSM routes serve as a special set of routes that are outside

the typical API rules and do not version similarly to the Katello ones.

Thus, the RHSM routes have been moved out to their own route file and api

anchor (/rhsm) to allow them to stand alone.

Revision 8de61d5b - 07/16/2014 02:59 PM - Eric Helms

Refs #6126: Fully specify deployment URL for RHSM.

Revision 9c2e270a - 07/16/2014 05:15 PM - Eric Helms

Merge pull request #28 from ehelms/refs-6126

Refs #6126: Change RHSM API to /rhsm.

Revision 24f6f084 - 07/16/2014 05:15 PM - Eric Helms

Merge pull request #24 from ehelms/refs-6126

Refs #6126: Fully specify deployment URL for RHSM.

Revision 795a3056 - 07/16/2014 05:17 PM - Eric Helms

Refs #6126: Updates to include setting RHSM url to /rhsm

Revision 00a7bb01 - 07/16/2014 05:26 PM - Eric Helms

Merge pull request #4239 from ehelms/fixes-6126

Fixes #6126: Moves RHSM routes to their own API (/rhsm) and routes file.

Revision b142720b - 07/16/2014 05:26 PM - Eric Helms

Merge pull request #85 from ehelms/refs-6126
Refs #6126: Updates to include setting RHSM url to /rhsm

History

#1 - 06/16/2014 12:20 PM - Eric Helms

- Target version changed from 45 to 48

#2 - 06/24/2014 05:16 PM - Eric Helms

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1112802

#3 - 06/24/2014 07:24 PM - Eric Helms

- Status changed from New to Ready For Testing

#4 - 06/25/2014 07:28 PM - Eric Helms

- translation missing: en.field_release set to 13

#5 - 07/07/2014 07:10 AM - Eric Helms

- Target version changed from 48 to 49

#6 - 07/14/2014 01:11 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/4239 added

#7 - 07/16/2014 05:24 PM - Eric Helms

Includes an installer update as well - https://github.com/Katello/katello-installer/pull/85

#8 - 07/16/2014 06:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|57a2dce4b1fe70c484660ae86e1ebf42d37ec442.

#9 - 07/25/2014 06:51 PM - Anonymous

- Related to Bug #6699: url_prefix in config/katello.yml is not set when doing a fresh install added
